Package htsjdk.beta.plugin.hapref

# Interface HaploidReferenceEncoder

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `HtsEncoder<SAMSequenceDictionary,ReferenceSequence>`

public interface HaploidReferenceEncoder extends HtsEncoder<SAMSequenceDictionary,ReferenceSequence>
Base class for all `HtsContentType.HAPLOID_REFERENCE` encoders.

## Method Summary

### Methods inherited from interface htsjdk.beta.plugin.HtsEncoder

`close, getDisplayName, getFileFormat, getVersion, setHeader, write`